Attribute VB_Name = "modGlobals"
'******************************************
'modGlobals.bas
'Jonathan Valentin 2004
'******************************************
Option Explicit

Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Private Const WM_COMMAND& = &H111
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const WM_GETTEXT = &HD
Public Const WM_GETTEXTLENGTH = &HE
Public Const WM_SETTEXT = &HC
Public Const WM_CHAR = &H102
Public Const ENTER_KEY = 13
Public Const WM_KEYDOWN = &H100
Public Const WM_KEYUP = &H101
Public Const VK_RETURN = &HD
Public Const WS_CHILD = &H40000000
Public Const SW_HIDE = 0
Public Const SW_NORMAL = 1
Public Declare Function SendMessageLong& Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long)
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Const LB_GETTEXT = &H189
Public Const LB_ADDSTRING = &H180
Public Const LB_GETCOUNT = &H18B
Public Const LB_RESETCONTENT = &H184
Public Const WM_CLOSE = &H10
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long

Public Const GWL_STYLE = (-16)

Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function SetWindowText Lib "user32" Alias "SetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String) As Long
Public Enum ButtonControlMessages
    BM_GETCHECK = &HF0
    BM_SETCHECK = &HF1
    BM_GETSTATE = &HF2
    BM_SETSTATE = &HF3
    BM_SETSTYLE = &HF4
    BM_CLICK = &HF5
    BM_GETIMAGE = &HF6
    BM_SETIMAGE = &HF7
End Enum
Public Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long

Public Declare Function SendButtonMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As ButtonControlMessages, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function UpdateWindow Lib "user32.dll" (ByVal hwnd As Long) As Long

'Globals Config settings
Global ServerPath As String
Global ExportsPath As String
Global ServerTitle As String
Global ServerUrl As String
'Password used for Admin Page
Public Const AdminPassword = "4jkhj4h5"


Public Type PlayersCSVType
    ClientName As String
    PlayerName As String
    Perks As String
    Deaths As Long
    Kills As Double
    Level As Integer
    MaxLife As Integer
    MaxStamina As Integer
    MaxMana As Integer
    Strength As Integer
    Dexterity As Integer
    Quickness As Integer
    Intelligence As Integer
    Wisdom As Integer
    TotalExp As Double
    MeleeDefense As Integer
    Unarmed As Integer
    Dagger As Integer
    Sword As Integer
    Axe As Integer
    Mace As Integer
    Staff As Integer
    Flail As Integer
    MissleDef As Integer
    Bow As Integer
    XBow As Integer
    CastSpell As Integer
    MagDef As Integer
    ManaConv As Integer
End Type
Global PlayersArray() As PlayersCSVType
Public Const cQuote As String = """"
Global PhobosWorld As Boolean
Public ToptenArray() As String
Sub WriteTopTenHtml(ByVal strTopTen As String, Optional Complex As Boolean = False)
On Error GoTo errHandle:
    Dim F As Long
    Dim i As Long
    F = FreeFile
    Dim ext As String
    If PhobosWorld = True Then
        ext = ".php"
    Else
        ext = ".html"
    End If

    Open ExportsPath & strTopTen & ext For Output As #F
        If PhobosWorld = True Then
            Print #F, "<? include " & cQuote & "header.php" & cQuote & "; ?>"
            Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
            Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>" & ServerTitle & ":Leader Board:" & strTopTen & "</Title>"
            Print #F, "<center>"
        
           ' Print #F, frmMain.txtAd.Text
        End If
        Print #F, "<h1>Leader Board for " & strTopTen & "</h1>"
        For i = 0 To 19
            Print #F, "<br><b> #" & i + 1 & " "; ToptenArray(i) & "</b><br>"
        Next
        If Complex = True Then
            Print #F, "<br>"
            Print #F, "<a href=" & cQuote & ServerUrl & "/leader/" & strTopTen & "0" & ext & cQuote & "><b>Next 100</b></a>"
        End If
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        Print #F, "<br>"
        Print #F, "<a href=" & cQuote & ServerUrl & cQuote & ">Home</a>"
        Print #F, "</center>"
        If PhobosWorld = True Then
            Print #F, "</font>"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "footer.php" & cQuote & "; ?>"
        Else
            Print #F, "</html>"
        End If
    Close #F
    If Complex = True Then
        Dim Count As Integer
        For i = 20 To UBound(ToptenArray) Step 100
            
            Call WriteTopTenHtmlComplex(strTopTen, i, i + 100, Count)
            Count = Count + 1
        Next
    End If
Exit Sub
errHandle:
    MsgBox "Error_modGlobals_WriteToptenHtml() " & Err.Number & " " & Err.Description
End Sub
Sub WriteTopTenHtmlComplex(ByVal strTopTen As String, Min As Long, Max As Long, Count As Integer)
On Error GoTo errHandle:
    Dim F As Long
    Dim i As Long
    F = FreeFile
    Dim ext As String
    If PhobosWorld = True Then
        ext = ".php"
    Else
        ext = ".html"
    End If
    Dim flagDone As Boolean
    flagDone = False
    Open ExportsPath & "\leader\" & strTopTen & Count & ext For Output As #F
        If PhobosWorld = True Then
            Print #F, "<? include " & cQuote & "../header.php" & cQuote & "; ?>"
            Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
            Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>" & ServerTitle & ":Leader Board:" & strTopTen & "</Title>"
            Print #F, "<center>"
        
          '  Print #F, frmMain.txtAd.Text
        End If
        Print #F, "<h1>Leader Board for " & strTopTen & "</h1>"
        For i = Min To Max
            If i > UBound(ToptenArray) Then
                flagDone = True
                Exit For
            End If
            Print #F, "<br><b> #" & i + 1 & " "; ToptenArray(i) & "</b><br>"
        Next
            Print #F, "<br>"
            If Count = 0 Then
                Print #F, "<a href=" & cQuote & ServerUrl & "/" & strTopTen & ext & cQuote & "><b>Previous</b></a>&nbsp;&nbsp;"
            Else
                Print #F, "<a href=" & cQuote & ServerUrl & "/leader/" & strTopTen & (Count - 1) & ext & cQuote & "><b>Previous</b></a>&nbsp;&nbsp;"
            End If
        If flagDone = False Then
            Print #F, "<a href=" & cQuote & ServerUrl & "/leader/" & strTopTen & (Count + 1) & ext & cQuote & "><b>Next 100</b></a>"
        End If
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        Print #F, "<br>"
        Print #F, "<a href=" & cQuote & ServerUrl & cQuote & ">Home</a>"
        Print #F, "</center>"
        If PhobosWorld = True Then
            Print #F, "</font>"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "../footer.php" & cQuote & "; ?>"
        Else
            Print #F, "</html>"
        End If
    Close #F
Exit Sub
errHandle:
    MsgBox "Error_modGlobals_WriteToptenHtml() " & Err.Number & " " & Err.Description
End Sub

