Attribute VB_Name = "modHtmlPhp"
'*******************************************
'modHtmlPhp.bas
'Jonathan Valentin 2004
'*******************************************
Option Explicit

'Client.dat type
Private Type ClientDataType
    AccountName As String * 20
    Password As String * 20
    Email As String * 100
    aBool As Boolean
    
    'LastChat As String * 299
End Type

'Guild.dat type
Private Type GuildType
    b1 As Boolean
    flgDeleted As Boolean
    GuildName As String * 30
    uuidOwner As Long
   ' RankName(10) As String
    
End Type

'Mail.dat type

Private Type MailType
    flgRead As Boolean
    uuidSender As Long
    uuidReciever As Long
    iArrayUnknown(14) As Integer
    MailText As String * 200
    mDay As Integer
    mMonth As Integer
    mYear As Integer
    mHour As Integer
    mMinute As Integer
    b1 As Boolean
    
End Type

Private Type RulesType
    test As Boolean
    UUID As Long
    strRule As String * 199
    bBye(101) As Byte
End Type
Global RulesArray() As RulesType

'Motd
Global MotdArray(4) As String * 200

Global GuildArray() As GuildType
Global MailArray() As MailType
Global ClientArray() As ClientDataType
Sub LoadClientData()
'*************************************
'Purpose: Load Client.dat
'*************************************
    Dim F As Long, i As Long
    Dim data As ClientDataType
    ReDim ClientArray(0)
    F = FreeFile
    Open ServerPath & "client.dat" For Binary Access Read As F
       Dim NumTimes As Integer
       NumTimes = LOF(F) / 1504
       'MsgBox NumTimes
       For i = 1 To NumTimes
       ' Do While Not EOF(F)
            Get #F, , data
            Seek #F, Loc(F) + 1363
          
             ClientArray(UBound(ClientArray)) = data
             
            ReDim Preserve ClientArray(UBound(ClientArray) + 1)
        'Loop
        Next
        ReDim Preserve ClientArray(UBound(ClientArray) - 1)
    Close F
End Sub

Sub GenerateWebMailInterface()
'******************************************
'Purpose: Generate the webmail interface
'******************************************

End Sub

Sub GenerateWhosOnlineHtmlPHP(ByVal sData As String)
'**************************************
'Purpose: To generate a html file of who's online and the number of people online
'**************************************
    Dim i As Integer
    Dim temp
    Dim F As Long
    temp = Split(sData, ",")
    
    F = FreeFile
    Dim numPlayers As Long
    numPlayers = UBound(temp)
    If numPlayers = -1 Then numPlayers = 0
    
    Dim ext As String
    If PhobosWorld = True Then
        ext = ".php"
    Else
        ext = ".html"
    End If
    
    Open ExportsPath & "Online" & ext For Output As #F
        If PhobosWorld = True Then
             Print #F, "<? include " & cQuote & "header.php" & cQuote & "; ?>"
             Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
             Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>Who's Online for " & ServerTitle & "</Title>"
            Print #F, frmMain.txtAd.Text
        End If
        Print #F, "<p><b>Total Players Online:" & numPlayers & "</b></p>"
        Print #F, "<br>"
        
        For i = 0 To UBound(temp)
            Print #F, "<p>" & temp(i) & "</p>"
        Next
    
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        
        Print #F, "<a href=" & cQuote & ServerUrl & cQuote & ">Home</a>"
        If PhobosWorld = True Then
            Print #F, "</font>"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "footer.php" & cQuote & "; ?>"
        End If
    Close #F
    Call ExportNumber(numPlayers)
End Sub
Sub ExportNumber(numPlayers As Long)
On Error GoTo badfile
    Dim F As Long
    F = FreeFile
    If numPlayers = -1 Then numPlayers = 0
    Open ExportsPath & "count.txt" For Output As #F
        Print #F, numPlayers
    Close #F
Exit Sub
badfile:
    Call frmMain.AddLog("Error_modHtmlPhp_ExportNumber:" & Err.Description)
Exit Sub
End Sub
Sub ExportNumberOfAccounts()
On Error GoTo badfile
    Dim F As Long
    F = FreeFile
    Open ExportsPath & "numAccounts.txt" For Output As #F
        Print #F, UBound(ClientArray)
    Close #F
Exit Sub
badfile:
    Call frmMain.AddLog("Error_modHtmlPhp_ExportNumberOfAccounts:" & Err.Description)
Exit Sub
End Sub
Sub ExportNumberOfPlayers()
On Error GoTo badfile
    Dim F As Long
    
    Close
    F = FreeFile
    Open ExportsPath & "numPlayers.txt" For Output As #F
        Print #F, UBound(PlayersArray)
    Close #F
Exit Sub
badfile:
    Call frmMain.AddLog("Error_modHtmlPhp_ExportNumberOfPlayers:" & Err.Description)
Exit Sub
End Sub
Sub GenerateAdminList()
'*************************************
'Purpose: Lists all webpages options for admins
'*************************************

End Sub
Public Sub WriteAdminLoginPage()
'**************************************
'Purpose: Writes the php file for admin logins
'**************************************
    Dim F As Long
    F = FreeFile
    
    Open ExportsPath & "login.html" For Output As #F
        Print #F, "<html>"
        Print #F, "<title>Admin Login</title>"
        Print #F, "<?"
        
        Print #F, "?>"
        Print #F, "</html>"
    Close #F
    
End Sub

Sub LoadGuilds()
'*************************************
'Purpose: Load guild information from guilds.dat
'*************************************
    Dim F As Long
    F = FreeFile
    Dim lData As Long
    Dim i As Integer
    Dim tempGuild As GuildType
    Open ServerPath & "guild.dat" For Binary Access Read As #F
        Get #F, , lData
        ReDim GuildArray((LOF(F) / 13750) - 1)
        For i = 0 To UBound(GuildArray)
          
            Get #F, , tempGuild
            GuildArray(i) = tempGuild
            If tempGuild.uuidOwner = 0 Then
                ReDim Preserve GuildArray(i - 1)
                Exit For
            End If
            Seek #F, Loc(F) + 13708
           ' MsgBox tempGuild.uuidOwner
            
        Next i

        
    Close #F
    Call CreateGuildPages
End Sub
Sub CreateGuildPages()
'***************************************
'Purpose: To generate the guild webpages from guild.dat
'***************************************
    Dim F As Long, i As Long
    Dim ext As String
    If PhobosWorld = True Then
        ext = ".php"
    Else
        ext = ".html"
    End If
    
    F = FreeFile
    Open ExportsPath & "guilds" & ext For Output As #F
        If PhobosWorld = True Then
             Print #F, "<? include " & cQuote & "header.php" & cQuote & "; ?>"
             Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
             Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>Guild List For: " & ServerTitle & "</Title>"
           Print #F, frmMain.txtAd.Text
        End If
        Dim iGuildCount As Long
        iGuildCount = 0
        For i = 0 To UBound(GuildArray)
            If GuildArray(i).flgDeleted = False Then
                iGuildCount = iGuildCount + 1
            End If
        Next
        
        
        Print #F, "<p><b>Total Guilds:" & iGuildCount & "</b></p>"
        Print #F, "<br>"
        
        For i = 0 To UBound(GuildArray)
            If GuildArray(i).flgDeleted = False Then
                Print #F, "<p>" & Trim$(GuildArray(i).GuildName) & "</p>"
            End If
        Next
    
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        
        Print #F, "<a href=" & cQuote & "http://www.rpgwo.net/" & ServerTitle & "/" & cQuote & ">Home</a>"
        If PhobosWorld = True Then
            Print #F, "</font>"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "footer.php" & cQuote & "; ?>"
        End If
    Close #F
End Sub
Sub GenerateAccountList()
'**************************************
'Purpose: Generates a list of accounts for the world
'**************************************
    Dim F As Long, i As Long
    F = FreeFile
    Dim sVaild As String
    Open ExportsPath & "Accounts.html" For Output As #F
        Print #F, "<html>"
        Print #F, "<Title>Accounts</Title>"
        Print #F, frmMain.txtAd.Text
        Print #F, "<br>"
        For i = 0 To UBound(ClientArray)
            If InStr(1, Trim$(ClientArray(i).Email), "@") Then
                sVaild = " <b> Vaild Email</b>"
            Else
                sVaild = " <b> INVAILD Email</b>"
            
            End If
            
            Print #F, "<p>" & Trim$(ClientArray(i).AccountName) & " Email: " & Trim$(ClientArray(i).Email) & sVaild & "</p>"
            Print #F, "Generated at: " & Date & " " & Time & "</p>"
        Next
    
    Close #F
End Sub

Sub AddPageNavagation(FileNum As Variant)
'**************************************
'Purpose: Adds navagation bar to each page
'**************************************

End Sub
Sub LoadMailData()
'*************************************
'Purpose: Load Mail.dat
'*************************************
    Dim F As Long, i As Long
    Dim data As MailType
    ReDim MailArray(0)
    F = FreeFile
    Open ServerPath & "mail.dat" For Binary Access Read As F
       Dim NumTimes As Long
       Get #F, , NumTimes
       'NumTimes = LOF(F) / 1504
       
       'MsgBox NumTimes
       For i = 1 To NumTimes
       ' Do While Not EOF(F)
            'MsgBox Loc(F)
            Get #F, , data
            Seek #F, Loc(F) + 102
            On Error Resume Next
         ' Call frmMain.AddLog("From: " & PlayerArray(data.uuidSender - 1).PlayerName & " " & "To: " & PlayerArray(data.uuidReciever - 1).PlayerName & " " & data.MailText & " " & data.mDay & "/" & data.mMonth & "/" & data.mYear)
             MailArray(UBound(MailArray)) = data
             'MsgBox data.MailText
            ReDim Preserve MailArray(UBound(MailArray) + 1)
        'Loop
        Next
        ReDim Preserve MailArray(UBound(MailArray) - 1)
    Close F
End Sub
Sub GeneateMotdAndRules()
'*************************************
'Purpose: To load motd.dat and rules.dat
'*************************************
    Dim F As Long
    Dim ext As String
    Dim i As Integer
    If PhobosWorld = True Then
        ext = ".php"
    Else
        ext = ".html"
    End If
    
    F = FreeFile
    Open ServerPath & "motd.dat" For Binary Access Read As F
        Get #F, , MotdArray
    Close F
    'Export MOTD file
    F = FreeFile
    Open ExportsPath & "motd" & ext For Output As #F
        If PhobosWorld = True Then
             Print #F, "<? include " & cQuote & "header.php" & cQuote & "; ?>"
             Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
            Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>Message of the day For: " & ServerTitle & "</Title>"
            Print #F, frmMain.txtAd.Text
        End If
        Print #F, "<br>"
        Print #F, "<b>Message of the Day</b>"
        Print #F, "<br>"
        For i = 0 To UBound(MotdArray)
            Print #F, Trim$(MotdArray(i))
            Print #F, "<br>"
        Next
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        
        Print #F, "<a href=" & cQuote & ServerUrl & cQuote & ">Home</a>"
        If PhobosWorld = True Then
            Print #F, "</font"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "footer.php" & cQuote & "; ?>"
        End If
    Close #F

    F = FreeFile
    Dim lngNumber As Long
    Open ServerPath & "rules.dat" For Binary Access Read As F
        Get #F, , lngNumber
        ReDim RulesArray(lngNumber - 1)
        Get #F, , RulesArray
    Close F
    'Export Rules
    F = FreeFile
    Open ExportsPath & "rules" & ext For Output As #F
        If PhobosWorld = True Then
             Print #F, "<? include " & cQuote & "header.php" & cQuote & "; ?>"
             Print #F, "<td width=" & cQuote & "59%" & cQuote & " height=" & cQuote & "30" & cQuote & " valign=" & cQuote & "top" & cQuote & ">"
             Print #F, "<font color=" & cQuote & "#FFFF99" & cQuote & ">"
        Else
            Print #F, "<html>"
            Print #F, "<Title>Rules For: " & ServerTitle & "</Title>"
            Print #F, frmMain.txtAd.Text
        End If
        Print #F, "<br>"
        Print #F, "<b>Rules</b>"
        Print #F, "<br>"
        For i = 0 To UBound(RulesArray)
            If RulesArray(i).UUID <> 0 Then
                Print #F, Trim$(RulesArray(i).strRule)
                Print #F, "<br>"
            End If
        Next
        Print #F, "<br>"
        Print #F, "Generated at: " & Date & " " & Time & "</p>"
        
        Print #F, "<a href=" & cQuote & ServerUrl & cQuote & ">Home</a>"
        If PhobosWorld = True Then
            Print #F, "</font>"
            Print #F, "</td>"
            Print #F, "<? include " & cQuote & "footer.php" & cQuote & "; ?>"
        End If
    Close #F
End Sub
