Attribute VB_Name = "modSQL"
'*******************************************
'modSQL.bas
'Jonathan Valentin 2004
'*******************************************
Option Explicit
Dim md5Hash As New clsMD5

Private Type PlayerType
    flgNotDeleted As Boolean
    Account As String * 20
    a2 As Long
    PlayerName As String * 20
    Xpos As Integer
    Ypos As Integer
    Zpos As Integer
    Xpos2 As Integer
    Ypos2 As Integer
    Zpos2 As Integer
    junk As String * 10
    ImageNumber As Integer
    ijunk2 As Integer
    Life1 As Integer
    Life2 As Integer
    B As Integer
    Stamina1 As Integer
    Stamina2 As Integer
    b1 As Integer
    b2 As Integer
    Mana1 As Integer
    Mana2 As Integer
    b3 As Integer
    Strength As Integer
    b4 As Integer
    Dexitery As Integer
    b5 As Integer
    Quickness As Integer
    b6 As Integer
    Intelligence As Integer
    b7 As Integer
    Wisdom As Integer
    b8 As Integer
    Level As Integer
    NextLevel As Long
    iUn1 As Integer
    Spendable As Long
    TotalXP As Long
    lLongun As Long
    AttuneXpos As Integer
    AttuneYpos As Integer
    AttuneZpos As Integer
End Type
Global PlayerArray() As PlayerType
Sub GenerateSQLFromClientdata()
'*************************************
'Purpose: To write the SQL Tables
'*************************************
    Dim F As Long
    F = FreeFile
    
    Open ExportsPath & ServerTitle & "SQL.sql" For Output As #F
    Print #F, "CREATE TABLE user"
        Print #F, "("
        Print #F, "ID INT(11) NOT NULL AUTO_INCREMENT,"
        Print #F, "Username VARCHAR(20),"
        Print #F, "Password VarChar(32), "
        Print #F, "Email VarChar(100), "
        Print #F, "Pluspack INT(2), "
        Print #F, "SessionID VarChar(32),"
        Print #F, "Primary Key(ID)"
        Print #F, ");"
    
    Close #F
    Call DoOuputClient
End Sub
Sub DoOuputClient()
    Dim F As Long
    Dim i As Long
    F = FreeFile
    Open ExportsPath & ServerTitle & "clientSQL.sql" For Output As #F
    For i = 0 To UBound(ClientArray)
        If md5Hash.DigestStrToHexStr(ClientArray(i).Password) = "441018525208457705BF09A8EE3C1093" Then
        Else
            Print #F, "INSERT INTO  `user` VALUES (" & i & ", " & Chr(39) & Trim$(ClientArray(i).AccountName) & Chr(39) & ", " & Chr(39) & LCase(md5Hash.DigestStrToHexStr(Trim$(ClientArray(i).Password))) & Chr(39) & ", " & Chr(39) & Trim$(ClientArray(i).Email) & Chr(39) & "," & Chr(39) & Chr(39) & ");"
        End If
    Next
    
    Close #F
End Sub


Sub LoadPlayerData()
    ReDim PlayerArray(0)
    Dim tempArray As PlayerType
    Dim i As Long, k As Long, F As Long
    F = FreeFile
    Open ServerPath & "player.dat" For Binary Access Read Lock Read As #F
        '''''Seek F, 118305
     
        k = LOF(F)
       ''''k = k - 118305
       k = k / (14789 - Len(tempArray))
     '   MsgBox k
        For i = 0 To k
      ' Do While Not EOF(f)
            Get #F, , tempArray
            Seek F, Loc(F) + (14789 - Len(tempArray))
    
            PlayerArray(UBound(PlayerArray)) = tempArray
            ReDim Preserve PlayerArray(UBound(PlayerArray) + 1)
       'Loop
       Next
        ReDim Preserve PlayerArray(UBound(PlayerArray) - 1)
    Close #F

End Sub
Sub GenerateSQLFromPlayerdata()
'*************************************
'Purpose: To write the SQL Tables
'*************************************
    Dim F As Long
    F = FreeFile
    
    Open ExportsPath & ServerTitle & "pSQL.sql" For Output As #F
    Print #F, "CREATE TABLE player"
        Print #F, "("
        Print #F, "ID INT(11) NOT NULL AUTO_INCREMENT,"
        Print #F, "Username VARCHAR(20),"
        Print #F, "PlayerName VarChar(20), "
        Print #F, "Xpos INT(2), "
        Print #F, "Ypos INT(2), "
        Print #F, "Zpos INT(2), "
        Print #F, "Life INT(5), "
        Print #F, "Stamina INT(5), "
        Print #F, "Mana INT(5), "
        Print #F, "Image INT(4), "
        Print #F, "Level INT(5), "
        Print #F, "NextLevel INT(12), "
        Print #F, "Spendable INT(12), "
        Print #F, "TotalXp INT(12), "
        Print #F, "Primary Key(ID)"
        Print #F, ");"
    
    Close #F
    Call DoOuputPlayer
End Sub
Sub DoOuputPlayer()
    Dim F As Long, i As Long
    F = FreeFile
    Open ExportsPath & ServerTitle & "playerSQL.sql" For Output As #F
    For i = 0 To UBound(PlayerArray)
        If PlayerArray(i).Xpos <> 0 And PlayerArray(i).Ypos <> 0 Then
            If PlayerArray(i).flgNotDeleted = True Then
                Print #F, "INSERT INTO  `player` VALUES (" & i & ", " & Chr(39) & Trim$(PlayerArray(i).Account) & Chr(39) & ", " & Chr(39) & Trim$(PlayerArray(i).PlayerName) & Chr(39) & ", " & PlayerArray(i).Xpos & ", " & PlayerArray(i).Ypos & ", " & PlayerArray(i).Zpos & ", " & PlayerArray(i).Life1 & ", " & PlayerArray(i).Stamina1 & ", " & PlayerArray(i).Mana1 & ", " & PlayerArray(i).ImageNumber & ", " & PlayerArray(i).Level & ", 0, 0, 0);"    ' ", " & PlayerArray(I).NextLevel & ", " & PlayerArray(I).Spendable & ", " & PlayerArray(I).TotalXP & ");"
            End If
        End If
    Next
    Close #F
End Sub

